This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 201873 - Review Request: wmix - Dockapp mixer
Review Request: wmix - Dockapp mixer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: cq92j9y+rlkr0w
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-09 11:46 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 07:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-09 11:46:10 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/wmix.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/wmix-3.1-1.src.rpm 
Description: 
Dockapp mixer for OSS or ALSA. Allows toggling record source, muting
individual channels, adjusting volume and balance, all in a compact
dockapp size, with TV-like on-screen-display for volume levels. Supports
mousewheel to adjust current channel volume, and can be controlled
remotely with SIGUSR1 / SIGUSR2 to adjust the volume, too. Can use a
configuration file to control some of the features.
Comment 1 cq92j9y+rlkr0w 2006-09-01 19:28:59 EDT
Hi Patrice,

I'm going to review this now. I apologize for the delay.

* Since you're pretty much doing the whole installation process manually, why
don't you just copy the 'wmix' binary to %{_bindir} and avoid the use of "make
install"? (There's nothing wrong with your current approach, though).

REVIEW (wmix-3.1-1)

+ rpmlint shows no error.
+ package meets the naming guidelines.
+ spec-file is properly named.
+ package meets the packaging guidelines.
+ package license is open-source compatible (GPL).
+ license field matches the actual license.
+ license file included in %doc.
+ spec file is written in english.
+ spec file is legible.
+ source files match upstream:
  62f6e86f7558f193e081dc29444a6699  wmix-3.1.tar.gz
+ package successfully compiled, built and tested on i386 (rawhide).
+ all build dependencies are listed in BuildRequires.
+ package doesn't need to use %find_lang (no locales present).
+ package doesn't contain shared libraries.
+ package isn't relocatable.
+ package owns all directories that it creates.
+ no duplicate files in %files.
+ file permissions are properly set.
+ package has a %clean section containing rm -rf %{buildroot}.
+ package uses macros consistently.
+ package contains code, not content.
+ no -doc subpackage needed.
+ %docs don't affect application runtime.
+ package doesn't contain headers, static libraries or pkgconfig files (no devel
package).
+ package doesn't own directories owned by other packages.
+ package builds fine in mock (fedora-development-i386-core).

APPROVED
Comment 2 cq92j9y+rlkr0w 2006-09-03 00:09:37 EDT
Hey Patrice,

I see you've imported wmix into cvs. Please don't forget to close this bug as
NEXTRELEASE when the package is built.
Comment 3 Patrice Dumas 2006-09-05 13:23:11 EDT
I was away... Built, added to comps, omwners.

Note You need to log in before you can comment on or make changes to this bug.